=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

add_subdirectory(c)
