=== ltr010api/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(LTRAPI_MODULE_NAME          LTR010)
set(LTRAPI_MODULE_NO_STD_FUNC   ON)
set(LTRAPI_MODULE_DESCR_ENG     "Low-level library for LTR-U-8/16 crates")
set(LTRAPI_MODULE_DESCR_RUS     "Библиотека низкоуровневых функций для крейтов LTR-U-8/16")

include(${LTRAPI_MODULE_CMAKE_TEMPLATE})
