=== ltr021api/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(LTRAPI_MODULE_NAME          LTR021)
set(LTRAPI_MODULE_NO_STD_FUNC   ON)
set(LTRAPI_MODULE_DESCR_ENG     "Library for configure LTR-U-1 crates")
set(LTRAPI_MODULE_DESCR_RUS     "Библиотека функций для настройки крейтов LTR-U-1")


include(${LTRAPI_MODULE_CMAKE_TEMPLATE})
