=== ltr030api/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(LTRAPI_MODULE_NAME      LTR030)
set(LTRAPI_MODULE_USE_TIMER ON)
set(LTRAPI_MODULE_USE_CRC   ON)
set(LTRAPI_MODULE_DESCR_ENG     "Library for configure and update firmware for LTR-EU crates")
set(LTRAPI_MODULE_DESCR_RUS     "Библиотека для конфигурации и обновления прошивок крейтов LTR-EU")


include(${LTRAPI_MODULE_CMAKE_TEMPLATE})
