=== ltr032api/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(LTRAPI_MODULE_NAME          LTR032)
set(LTRAPI_MODULE_USE_TIMER     ON)
set(LTRAPI_MODULE_DESCR_ENG     "Library for control LTR-E-7/15 crates")
set(LTRAPI_MODULE_DESCR_RUS     "Библиотека для управления крейтами LTR-E-7/15")


include(${LTRAPI_MODULE_CMAKE_TEMPLATE})
