=== ltr114api/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(LTRAPI_MODULE_NAME      LTR114)
set(LTRAPI_MODULE_USE_TIMER ON)
set(LTRAPI_MODULE_USE_CRC   ON)

include(${LTRAPI_MODULE_CMAKE_TEMPLATE})
