=== ltr212api/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(LTRAPI_MODULE_NAME      LTR212)
set(LTRAPI_MODULE_USE_TIMER ON)
set(LTRAPI_MODULE_USE_CRC   ON)


#для включения прошивки в библиотеку под Windows
if(WIN32)
    set(LTRAPI_MODULE_RC_STRINGS        "LTR212_BIO   RCDATA  ${CMAKE_CURRENT_SOURCE_DIR}/ltr212.bio")
    set(LTRAPI_MODULE_BUILD_DEPENDENCIES ${CMAKE_CURRENT_SOURCE_DIR}/ltr212.bio)
endif(WIN32)
set(LTRAPI_MODULE_INSTALL_DATA_FILES "ltr212.bio")

include(${LTRAPI_MODULE_CMAKE_TEMPLATE})
