=== ltr216api/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(LTRAPI_MODULE_NAME                  LTR216)
set(LTRAPI_MODULE_USE_TIMER             ON)
set(LTRAPI_MODULE_USE_CRC               ON)
set(LTRAPI_MODULE_USE_FLASH_SST25       ON)

set(LTRAPI_MODULE_HEADERS               "ad7176.h")

include(${LTRAPI_MODULE_CMAKE_TEMPLATE})
