=== ltr22api/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(LTRAPI_MODULE_NAME      LTR22)
set(LTRAPI_MODULE_USE_TIMER ON)
set(LTRAPI_MODULE_USE_CRC   OFF)

include(${LTRAPI_MODULE_CMAKE_TEMPLATE})
