=== debian/control ===
Source: ltrapi
Priority: optional
Maintainer: Borisov Alexey <borisov@lcard.ru>
Build-Depends: debhelper (>= 8.0.0), cmake
Standards-Version: 3.9.3
Section: libs
Homepage: "http://www.lcard.ru"

Package: libltrapi1-dev
Section: libdevel
Architecture: any
Depends: libltrapi1 (= ${binary:Version}), ${misc:Depends},
  libltr010api1 (= ${binary:Version}),
  libltr021api1 (= ${binary:Version}),
  libltr030api1 (= ${binary:Version}),
  libltr032api1 (= ${binary:Version}),
  libltrlogapi1 (= ${binary:Version}),
  libltravrapi1 (= ${binary:Version}),
  libltrbootapi1 (= ${binary:Version}),
  libltr11api1 (= ${binary:Version}),
  libltr114api1 (= ${binary:Version}), 
  libltr22api1 (= ${binary:Version}),
  libltr24api1 (= ${binary:Version}),
  libltr25api1 (= ${binary:Version}),
  libltr27api1 (= ${binary:Version}),
  libltr34api1 (= ${binary:Version}),
  libltr35api1 (= ${binary:Version}),
  libltr41api1 (= ${binary:Version}),
  libltr42api1 (= ${binary:Version}),
  libltr43api1 (= ${binary:Version}),
  libltr51api1 (= ${binary:Version}),
  libltr210api1 (= ${binary:Version}),
  libltr212api1 (= ${binary:Version})
Description:Libraries for control 'L Card' LTR-Crates (development files)
 Libraries that allow you connect to ltrd daemon and control L-Card LTR-Crates 
 and LTR-Modules.
 .
 This package contains the development headers for the libraries found in 
 packages libltrapi1, libltr11api1, etc.
 .
 You need these files if you writing your own software. Non-developers likely 
 have little use for this package.

Package: libltrapi1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control 'L Card' LTR-Crates and LTR-modules (runtime libraries)
 This package contains the library which allows you to control 'L Card' LTR-Crates and LTR-modules. 
 API to control certain LTR-module you can find in packages with names like libltrXXXapi1,
 where XXX - module number (ltr114api1, ltr34api1, etc).
 .
 This package contains the shared object files.
 
Package: libltr010api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR-U-8/16 Crates (runtime libraries)
 This package contains the library which allows you to control L-Card LTR-Crates 
 with LTR010 crate-controller (LTR-U-8/16). 
 This is low level API used by others libraries.
 .
 This package contains the shared object files.

Package: libltr021api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR-U-1-4 Crates (runtime libraries)
 This package contains the library which allows you to configure L-Card LTR-Crates
 with LTR021 crate-controller (LTR-U-1-4).
 .
 This package contains the shared object files.
 
Package: libltr030api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR-EU Crates (runtime libraries)
 This package contains the library which allows you to configure and
 update firmware for  L-Card LTR-Crates  with LTR030/LTR031 
 crate-controller (LTR-EU-8/16, LTR-EU-2). 
 This is low level API used by others libraries.
 .
 This package contains the shared object files.

Package: libltr032api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR-E Crates (runtime libraries)
 This package contains the library which allows you to
 control L-Card LTR-Crates  with LTR032 
 crate-controller (LTR-E-7/15).
 .
 This package contains the shared object files.
 
Package: libltrlogapi1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Library for getting ltrd log (runtime libraries)
 This package contains the library which allows you to 
 get ltrd log in real-time.
 .
 This package contains the shared object files.
 
Package: libltravrapi1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for update AVR firmware for LTR-modules (runtime libraries)
 This package contains the library with API wich allows you update AVR-firmware 
 for LTR-modules with AVR microcontroller (LTR11, LTR114, LTR27, LTR41, LTR42, LTR43, LTR51).
 .
 This package contains the shared object files.
 
 
Package: libltrbootapi1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for update firmware for LTR-U-8/16 crates (runtime libraries)
 This package contains the library which provide functions that allow you update FPGA-firmware for 
 'L Card' LTR-U 8/16 crates.
 .
 This package contains the shared object files.

Package: libltr11api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR11 module (runtime libraries)
 This package contains the library which allows you control LTR11 module.
 .
 This package contains the shared object files.

Package: libltr114api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR114 module (runtime libraries)
 This package contains the library which allows you control LTR114 module.
 .
 This package contains the shared object files.

Package: libltr22api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR22 module (runtime libraries)
 This package contains the library which allows you control LTR22 module.
 .
 This package contains the shared object files.
 
Package: libltr24api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR24 module (runtime libraries)
 This package contains the library which allows you control LTR24 module.
 .
 This package contains the shared object files.

Package: libltr25api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR25 module (runtime libraries)
 This package contains the library which allows you control LTR25 module.
 .
 This package contains the shared object files.
 
Package: libltr27api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR27 module (runtime libraries)
 This package contains the library which allows you control LTR27 module.
 .
 This package contains the shared object files.

Package: libltr34api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR34 module (runtime libraries)
 This package contains the library which allows you control LTR34 module.
 .
 This package contains the shared object files.
 
Package: libltr35api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR35 module (runtime libraries)
 This package contains the library which allows you control LTR35 module.
 .
 This package contains the shared object files.

Package: libltr41api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR41 module (runtime libraries)
 This package contains the library which allows you control LTR41 module.
 .
 This package contains the shared object files.

Package: libltr42api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR42 module (runtime libraries)
 This package contains the library which allows you control LTR42 module.
 .
 This package contains the shared object files.

Package: libltr43api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR43 module (runtime libraries)
 This package contains the library which allows you control LTR43 module.
 .
 This package contains the shared object files.

Package: libltr51api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR51 module (runtime libraries)
 This package contains the library which allows you control LTR51 module.
 .
 This package contains the shared object files.
 
Package: libltr210api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR210 module (runtime libraries)
 This package contains the library which allows you control LTR210 module.
 .
 This package contains the shared object files.
 
Package: libltr212api1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description:Library for control LTR212 module (runtime libraries)
 This package contains the library which allows you control LTR212 module.
 .
 This package contains the shared object files.
