## ltrapi 1.32.39

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.12)
 
 
 if(NOT LTR_SDK_SUFFIX)
@@ -8,14 +8,15 @@
 project(ltrapi C)
 
 set(LTRAPI_VER_MAJOR 1)
-set(LTRAPI_VER_MINOR 31)
-set(LTRAPI_VER_PATCH 3)
+set(LTRAPI_VER_MINOR 32)
+set(LTRAPI_VER_PATCH 39)
 set(LTRAPI_VERSION   ${LTRAPI_VER_MAJOR}.${LTRAPI_VER_MINOR}.${LTRAPI_VER_PATCH})
 
 option(LTR_FORCE_RESET_WHEN_IN_USE "Send STOP-RESET-STOP if module in use for compatibility with old behavior" OFF)
 option(LTR_BUILD_EXAMPLES  "Build ltrapi C examples" OFF)
 option(LTR_DEBUG_PRINT "Debug console printf" OFF)
 option(LTR_ERROR_PRINT "Debug console printf" OFF)
+option(LTRAPI_USE_KD_STORESLOTS  "Enable slot configuration store in crate support" OFF)
 # linux: с версии 1.31.2 по-умолчанию приход сигнала на Linux не прерывает работу функций
 # Recv() и Send(), т.к. в некоторых случаях сигналы могут использоваться переодически
 # и нарушать работу функций (например в Mono при нескольких потоках).
@@ -24,7 +25,11 @@
 option(LTRAPI_BUILD_STATIC "Build static libraries rather dynamic" OFF)
 option(LTRAPI_BUILD_FABRIC_MODULES "Build library for fabric modules" OFF)
 option(LTRAPI_BUILD_DEVELOP_MODULES "Build library for currently development modules" OFF)
-
+option(LTRAPI_BUILD_MATH_EXAMPLES "Build examples required math & fft libraries" OFF)
+
+if(WIN32)
+    option(LTRAPI_USE_WSA_SOCKS "Use WSA Sockets on Windows" OFF)
+endif(WIN32)
 
 if(LTR_PRODUCT_NAMES_FILE)
     include(${LTR_PRODUCT_NAMES_FILE})
@@ -39,6 +44,7 @@
     option(LTRAPI_PREPARE_HEADERS "prepare pucblic ltrapi headers in build directory" OFF)
 endif(NOT LTRAPI_PREPARE_HEADERS)
 
+add_definitions(-DLTRAPI_DISABLE_COMPAT_DEFS)
 if(LTR_FORCE_RESET_WHEN_IN_USE)
     add_definitions(-DLTR_FORCE_RESET_WHEN_IN_USE)
 endif(LTR_FORCE_RESET_WHEN_IN_USE)
@@ -54,6 +60,10 @@
 if(LTR_ERROR_PRINT)
     add_definitions(-DLTR_ERROR_PRINT)
 endif(LTR_ERROR_PRINT)
+
+if(NOT ${CMAKE_VERSION}  VERSION_LESS "3.0.0") 
+    string(TIMESTAMP CURRENT_YEAR "%Y")
+endif()    
 
 # для QNX4 используются всегда статические библиотеки
 if(${CMAKE_SYSTEM_NAME} STREQUAL "QNX4")
@@ -215,6 +225,7 @@
 add_subdirectory(ltr212api)
 endif()
 add_subdirectory(ltr11api)
+add_subdirectory(ltr12api)
 add_subdirectory(ltr22api)
 add_subdirectory(ltr24api)
 add_subdirectory(ltr25api)
@@ -226,12 +237,12 @@
 add_subdirectory(ltr43api)
 add_subdirectory(ltr51api)
 add_subdirectory(ltr210api)
-if(LTRAPI_BUILD_DEVELOP_MODULES)
-    add_subdirectory(ltr216api)
-endif(LTRAPI_BUILD_DEVELOP_MODULES)
+add_subdirectory(ltr216api)
+add_subdirectory(ltedsapi)
+add_subdirectory(lpw25api)
 
 if(LTRAPI_BUILD_FABRIC_MODULES)
-    # если включена опция то добавляем сборку API для производственных
+    # если включена опция, то добавляем сборку API для производственных
     # модулей, которые используются только для наладки, а не пользователями
     add_subdirectory(ltrfapi)
 endif(LTRAPI_BUILD_FABRIC_MODULES)
@@ -265,13 +276,19 @@
     include(${LTR_CMAKE_PACKAGES})
 endif(UNIX AND LTR_CMAKE_PACKAGES)
 
+if(WIN32)
+    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/nuget/ltrapi.nuspec.in
+                  ${CMAKE_CURRENT_BINARY_DIR}/ltrapi.nuspec)
+endif(WIN32)
+
+
 if(WIN32 AND LTR_BUILD_WIN_INSTALLERS)
     set(LTR_CONVERTED_SOURCE_DIR ${CMAKE_CURRENT_BINARY_DIR}/src)
     file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/x64)
     file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/x86)
     file(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/src)
 
-    string(REGEX REPLACE "/" "\\\\" ICONV ${ICONV})
+    string(REGEX REPLACE "/" "\\\\" ICONV_EXEC ${ICONV_EXEC})
     string(REGEX REPLACE "/" "\\\\" LTR_CONVERTED_SOURCE_DIR ${LTR_CONVERTED_SOURCE_DIR})
     set(LTR_ORIG_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
     string(REGEX REPLACE "/" "\\\\" LTR_ORIG_SOURCE_DIR ${LTR_ORIG_SOURCE_DIR})
@@ -320,12 +337,3 @@
     )
 
     if(NOT WIN_INSTALLER_NOSIGN)
-        #подписываем установщик при неободимости
-        add_custom_command(TARGET ltrapi-installer POST_BUILD
-            COMMAND "${SIGNTOOL}" sign /v /ac "${SIGN_CERT}" /n "${SIGN_COMPANY_NAME}" /t ${CERT_TIMESTAMP_URL} ${INSTALLER_NAME}
-            WORKING_DIRECTORY ${PROJECT_BINARY_DIR}
-        )
-    endif(NOT WIN_INSTALLER_NOSIGN)
-endif(WIN32 AND LTR_BUILD_WIN_INSTALLERS)
-
-
