=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

add_subdirectory(c)
