=== ltedsapi/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

set(LTRAPI_MODULE_PROJECT               ltedsapi)
set(LTRAPI_MODULE_NO_STD_FUNC           ON)
set(LTRAPI_MODULE_NO_LTRAPI             ON)
set(LTRAPI_MODULE_USE_MATH              ON)
set(LTRAPI_MODULE_USE_DOXYGEN_DOC       ON)
set(LTRAPI_MODULE_SOURCES               ltedsapi_lcard.c ltedsapi_stdtmpl.c)
set(LTRAPI_MODULE_SETUP_HEADERS         ltedsapi_base.h ltedsapi_lcard.h ltedsapi_stdtmpl.h)
set(LTRAPI_MODULE_REQ_MODULES           ltrapi)

set(LTRAPI_MODULE_DOC_ABOUT_FILE  doc/about.md.in)
set(LTRAPI_MODULE_DOC_INPUT_FILES doc/gen_descr.md ${LTRAPI_MODULE_SETUP_HEADERS})

include(${LTRAPI_MODULE_CMAKE_TEMPLATE})
