=== ltr010api/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.12)
 
 set(LTRAPI_MODULE_NAME          LTR010)
 set(LTRAPI_MODULE_NO_STD_FUNC   ON)
