=== ltr114api/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

set(LTRAPI_MODULE_NAME      LTR114)
set(LTRAPI_MODULE_USE_TIMER ON)
set(LTRAPI_MODULE_USE_CRC   ON)
set(LTRAPI_MODULE_USE_MATH  ON)
#используем вручную созданный def для mingw, так как gendef неправильно определяет
#количество параметров для LTR114_CreateLChannel
set(LTRAPI_MODULE_MINGW_MANUAL_DEF ${CMAKE_CURRENT_SOURCE_DIR}/ltr114api_mingw_custom.def)

include(${LTRAPI_MODULE_CMAKE_TEMPLATE})
