=== ltr11api/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.12)
 
 set(LTRAPI_MODULE_NAME      LTR11)
 set(LTRAPI_MODULE_USE_TIMER ON)
