=== ltr12api/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

set(LTRAPI_MODULE_NAME      LTR12)
set(LTRAPI_MODULE_USE_TIMER             ON)
set(LTRAPI_MODULE_USE_CRC               ON)
set(LTRAPI_MODULE_USE_DOXYGEN_DOC       ON)

set(LTRAPI_MODULE_DOC_INPUT_FILES doc/gen_descr.md)

include(${LTRAPI_MODULE_CMAKE_TEMPLATE})
