=== ltr210api/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.12)
 
 set(LTRAPI_MODULE_NAME              LTR210)
 set(LTRAPI_MODULE_USE_TIMER         ON)
@@ -6,7 +6,7 @@
 set(LTRAPI_MODULE_USE_CRC           ON)
 set(LTRAPI_MODULE_USE_CYCLONE       ON)
 set(LTRAPI_MODULE_USE_FLASH_AT25DF  ON)
-set(LTRAPI_MODULE_USE_FLASH_AT25SF  ON)
+set(LTRAPI_MODULE_USE_FLASH_X25     ON)
 set(LTRAPI_MODULE_USE_DOXYGEN_DOC   ON)
 
 #для включения прошивки в библиотеку под Windows
