=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
   libltravrapi1 (= ${binary:Version}),
   libltrbootapi1 (= ${binary:Version}),
   libltr11api1 (= ${binary:Version}),
+  libltr12api1 (= ${binary:Version}),
   libltr114api1 (= ${binary:Version}), 
   libltr22api1 (= ${binary:Version}),
   libltr24api1 (= ${binary:Version}),
@@ -30,7 +31,10 @@
   libltr43api1 (= ${binary:Version}),
   libltr51api1 (= ${binary:Version}),
   libltr210api1 (= ${binary:Version}),
-  libltr212api1 (= ${binary:Version})
+  libltr212api1 (= ${binary:Version}),
+  libltr216api1 (= ${binary:Version}),
+  libltedsapi1 (= ${binary:Version}),
+  liblpw25api1 (= ${binary:Version})
 Description:Libraries for control 'L Card' LTR-Crates (development files)
  Libraries that allow you connect to ltrd daemon and control L-Card LTR-Crates 
  and LTR-Modules.
@@ -112,7 +116,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description:Library for update AVR firmware for LTR-modules (runtime libraries)
  This package contains the library with API wich allows you update AVR-firmware 
- for LTR-modules with AVR microcontroller (LTR11, LTR114, LTR27, LTR41, LTR42, LTR43, LTR51).
+ for LTR-modules with AVR microcontroller (LTR11, LTR12, LTR114, LTR27, LTR41, LTR42, LTR43, LTR51).
  .
  This package contains the shared object files.
  
@@ -136,6 +140,15 @@
  .
  This package contains the shared object files.
 
+Package: libltr12api1
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description:Library for control LTR12 module (runtime libraries)
+ This package contains the library which allows you control LTR12 module.
+ .
+ This package contains the shared object files.
+
 Package: libltr114api1
 Section: libs
 Architecture: any
@@ -253,5 +266,29 @@
  .
  This package contains the shared object files.
 
-
-
+Package: libltr216api1
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description:Library for control LTR216 module (runtime libraries)
+ This package contains the library which allows you control LTR216 module.
+ .
+ This package contains the shared object files.
+
+Package: libltedsapi1
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description:Library for decode and encode TEDS data (runtime libraries)
+ This package contains the library which allows you decode and encode TEDS data.
+ .
+ This package contains the shared object files.
+
+Package: liblpw25api1
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description:Library for process LPW25 data (runtime libraries)
+ This package contains the library which allows you process data from LPW25 trasducer output.
+ .
+ This package contains the shared object files.
